Package org.opensaml.xacml.policy.impl

# Class TargetTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.TargetTypeImpl

All Implemented Interfaces:
  `XMLObject`, `TargetType`, `XACMLObject`

public class TargetTypeImpl extends AbstractXACMLObject implements TargetType
Implementing `TargetType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ActionsType`
`actions`
The actions in the policy.
`private EnvironmentsType`
`environments`
The environments in the policy.
`private ResourcesType`
`resources`
The resourcese in the policy.
`private SubjectsType`
`subjects`
The subjects in the policy.

### Fields inherited from interface org.opensaml.xacml.policy.TargetType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TargetTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ActionsType`
`getActions()`
Gets the actions of this target.
`EnvironmentsType`
`getEnvironments()`
Gets the environments of this target.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`ResourcesType`
`getResources()`
Gets the resources of this target.
`SubjectsType`
`getSubjects()`
Gets the subjects of this target.
`void`
`setActions(ActionsType newActions)`
Sets the actions in the target.
`void`
`setEnvironments(EnvironmentsType newEnvironments)`
Sets the environments in the target.
`void`
`setResources(ResourcesType newResources)`
Sets the resources in the target.
`void`
`setSubjects(SubjectsType newSubjects)`
Sets the subjects in the target.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### actions

private ActionsType actions
The actions in the policy.

### environments

private EnvironmentsType environments
The environments in the policy.

### subjects

private SubjectsType subjects
The subjects in the policy.

### resources

private ResourcesType resources
The resourcese in the policy.

## Constructor Details

### TargetTypeImpl

protected TargetTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getSubjects

public SubjectsType getSubjects()
Gets the subjects of this target.

Specified by:
  `getSubjects` in interface `TargetType`
Returns:
  subjects of this target

### getResources

public ResourcesType getResources()
Gets the resources of this target.

Specified by:
  `getResources` in interface `TargetType`
Returns:
  resources of this target

### getActions

public ActionsType getActions()
Gets the actions of this target.

Specified by:
  `getActions` in interface `TargetType`
Returns:
  actions of this target

### getEnvironments

public EnvironmentsType getEnvironments()
Gets the environments of this target.

Specified by:
  `getEnvironments` in interface `TargetType`
Returns:
  environments of this target

### setActions

public void setActions(ActionsType newActions)
Sets the actions in the target.

Specified by:
  `setActions` in interface `TargetType`
Parameters:
  `newActions` - the subject in the target

### setEnvironments

public void setEnvironments(EnvironmentsType newEnvironments)
Sets the environments in the target.

Specified by:
  `setEnvironments` in interface `TargetType`
Parameters:
  `newEnvironments` - the subject in the target

### setResources

public void setResources(ResourcesType newResources)
Sets the resources in the target.

Specified by:
  `setResources` in interface `TargetType`
Parameters:
  `newResources` - the subject in the target

### setSubjects

public void setSubjects(SubjectsType newSubjects)
Sets the subjects in the target.

Specified by:
  `setSubjects` in interface `TargetType`
Parameters:
  `newSubjects` - the subject in the target